Package org.eclipse.birt.report.engine.api.script.eventadapter

# Class DataSourceEventAdapter

java.lang.Object
org.eclipse.birt.report.engine.api.script.eventadapter.DataSourceEventAdapter

All Implemented Interfaces:
  `IDataSourceEventHandler`

Direct Known Subclasses:
  `ScriptedDataSourceEventAdapter`

public class DataSourceEventAdapter extends Object implements IDataSourceEventHandler
Default (empty) implementation of the IDataSourceEventHandler interface

## Constructor Summary

Constructors
Constructor
Description
`DataSourceEventAdapter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`afterClose(IReportContext reportContext)`
Handle the afterClose event
`void`
`afterOpen(IDataSourceInstance dataSource, IReportContext reportContext)`
Handle the afterOpen event
`void`
`beforeClose(IDataSourceInstance dataSource, IReportContext reportContext)`
Handle the beforeClose event
`void`
`beforeOpen(IDataSourceInstance dataSource, IReportContext reportContext)`
Handle the beforeOpen event

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DataSourceEventAdapter

public DataSourceEventAdapter()

## Method Details

### beforeOpen

public void beforeOpen(IDataSourceInstance dataSource, IReportContext reportContext) throws ScriptException
Description copied from interface: `IDataSourceEventHandler`
Handle the beforeOpen event

Specified by:
  `beforeOpen` in interface `IDataSourceEventHandler`
Throws:
  `ScriptException`

### afterOpen

public void afterOpen(IDataSourceInstance dataSource, IReportContext reportContext) throws ScriptException
Description copied from interface: `IDataSourceEventHandler`
Handle the afterOpen event

Specified by:
  `afterOpen` in interface `IDataSourceEventHandler`
Throws:
  `ScriptException`

### beforeClose

public void beforeClose(IDataSourceInstance dataSource, IReportContext reportContext) throws ScriptException
Description copied from interface: `IDataSourceEventHandler`
Handle the beforeClose event

Specified by:
  `beforeClose` in interface `IDataSourceEventHandler`
Throws:
  `ScriptException`

### afterClose

public void afterClose(IReportContext reportContext) throws ScriptException
Description copied from interface: `IDataSourceEventHandler`
Handle the afterClose event

Specified by:
  `afterClose` in interface `IDataSourceEventHandler`
Throws:
  `ScriptException`